--- title: "Create shopping intent" slug: "nclue-postshoppingintent" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-postshoppingintent" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create shopping intent Available in VPC Create a profile of a shopping intent. When you request to create a profile, the creation process will proceed according to the following sequence. | Order | Creation status | Description | | --- | --- | --- | | Step 1 | `registered`: registered | Status where the creation job is registered in the NCLUE system - It is the status before the start of the job, and you can [Delete profile](/docs/en/nclue-deleteshoppingintent) to cancel the job | | Step 2 | `pending`: pending | Status where the creation job is queued in the system | | Step 3 | `in_progress`: creating | Status where the creation job is running on the server | | Step 4 | - `complete`: available - `failed`: failure | Status where the creation task has been completed - If the creation is successful, the status will be `complete`, and it can be used normally - If the creation fails due to an error that occurred during the operation, the status will be `failed` and it can't be used - Check error message: See [Get shopping intent](/docs/en/nclue-getshoppingintent) - How to resolve errors: See [Troubleshooting NCLUE](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot) | Note The duration of each job when creating a profile depends on the amount of data and service's available resources. To check the progress of the creation, call the [Get shopping intent](/docs/en/nclue-getshoppingintent) API and check the `status` field in the response body. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /profile/shopping-intents | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Profile name - 1-100 characters | | `task_id` | String | Required | Task ID to apply for profiling - See [Get task list](/docs/en/nclue-gettasklist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://nclue.apigw.ntruss.com/api/v1/profile/shopping-intents' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "name": "YOUR_PROFILE_NAME", "task_id": "3179664c-****-****-****-af6354344018" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profile_id` | String | - | Profile ID | | `profile_name` | String | - | Profile name | | `task_id` | String | - | Task ID to apply for profiling | | `task_name` | String | - | Task name to apply for profiling | | `created_at` | String | - | Profile creation request date and time - ISO 8601 format | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "profile_id": "da523192-****-****-****-01fce3b4f90d", "profile_name": "YOUR_PROFILE_NAME", "task_id": "3179664c-****-****-****-af6354344018", "task_name": "YOUR_TASK_NAME", "created_at": "2024-11-26T16:47:27+09:00" } ```